// Rally.h: interface for the Rally class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RALLY_H__10295425_4A5C_4400_A2A6_AC13E6959140__INCLUDED_)
#define AFX_RALLY_H__10295425_4A5C_4400_A2A6_AC13E6959140__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Stage.h"
#include <vector>
using namespace std;

//-------------------------------------------------------------------------------------------------

struct Rally  
{
  CString name;
  vector<Stage> stages;
  float time;
  bool invalidStage;

	Rally (const char *rallyName);
  void Reset ();
  bool LoadConfig (const char *file);
  bool Finished () const;
  bool Dnf () const;
  bool NotStarted () const;

  float BestTime () const;
  float CurrentTime () const;

  void ClearBestTime ();
  CString BestTimePath () const;
  bool LoadBestTime ();
  bool SaveBestTime () const;
  
};


//-------------------------------------------------------------------------------------------------

#endif // !defined(AFX_RALLY_H__10295425_4A5C_4400_A2A6_AC13E6959140__INCLUDED_)
